4

I've installed Foursquare, but it does not start, instead I get the following error:

Google Play Services, which some of your applications rely on, is not supported by your device.

I don't know what does this mean and how can I solve this issue to use the application. I'm using Chinese phone AMOI N 821 android 4.1.1. I live in Russia.

What should I do?

1
  • Does your phone have GPS capability? Foursquare uses and requires GPS to run. – user43495 Oct 21 '13 at 10:14
2

Google Play Services provides a "backbone" of sorts not just for Google apps but other apps as well. This is part of the way that Google is letting users and apps get to more "modern" Android features without having to wait for carriers to update their version of the OS.

I'm guessing that the phone you're using didn't come with Google apps installed.

See if you can install Google Play Services directly.

If so, you should be good to go.

If not, you're probably out of luck.

3
  • So my phone has this app (google play services).. – Ilya Jul 25 '13 at 17:50
  • And? Did you just install it, or was it already there? Have you tried re-starting your phone? Clearing the cache on either app? Re-installing? – ale Jul 25 '13 at 17:57
  • oh(it is incompatible with other apps using the same shared user ID( – Ilya Jul 25 '13 at 18:19
1

Unfortunately Chinese Products does not support the Google Services as Google is not allowed in the China. So the Only Option i see is the VPN. Try using the free VPN services.

0

I had the same problem with a Nexus 7. It's coproduced by Google, so it was obvious it wasn't caused by a lack of Google Apps.

In my case it was an error in the synchronization of the Google account (settings → personal → account). Tapping on my account, I forced the sync.

Then I closed the problematic app, restarting it. And the problem was gone.

Not the answer you're looking for? Browse other questions tagged or ask your own question.